# Class PaymentAccountFormField

#### Hierarchy

- unknown
  - PaymentAccountFormField

- Defined in src/protobuf/pb_pb.d.ts:7743
- Defined in src/protobuf/pb_pb.d.ts:7798

#####
Index

### Constructors

constructor

### Methods

addRequiredForCountries
addSupportedCountries
addSupportedCurrencies
addSupportedSepaEuroCountries
addSupportedSepaNonEuroCountries
clearRequiredForCountriesList
clearSupportedCountriesList
clearSupportedCurrenciesList
clearSupportedSepaEuroCountriesList
clearSupportedSepaNonEuroCountriesList
getComponent
getId
getLabel
getMaxlength
getMinlength
getRequiredForCountriesList
getSupportedCountriesList
getSupportedCurrenciesList
getSupportedSepaEuroCountriesList
getSupportedSepaNonEuroCountriesList
getType
getValue
serializeBinary
setComponent
setId
setLabel
setMaxlength
setMinlength
setRequiredForCountriesList
setSupportedCountriesList
setSupportedCurrenciesList
setSupportedSepaEuroCountriesList
setSupportedSepaNonEuroCountriesList
setType
setValue
toObject
deserializeBinary
deserializeBinaryFromReader
serializeBinaryToWriter
toObject

## Constructors

### constructor

- new PaymentAccountFormField(): PaymentAccountFormField

- #### Returns PaymentAccountFormField

  Inherited from jspb.Message.constructor

## Methods

### addRequiredForCountries

- addRequiredForCountries(value: string, index?: number): PaymentAccountFormField

- #### Parameters

  - ##### value: string

  - ##### `Optional` index: number

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7788

### addSupportedCountries

- addSupportedCountries(value?: Country, index?: number): Country

- #### Parameters

  - ##### `Optional` value: Country

  - ##### `Optional` index: number

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7773

### addSupportedCurrencies

- addSupportedCurrencies(value?: TradeCurrency, index?: number): TradeCurrency

- #### Parameters

  - ##### `Optional` value: TradeCurrency

  - ##### `Optional` index: number

  #### Returns TradeCurrency

  - Defined in src/protobuf/pb_pb.d.ts:7768

### addSupportedSepaEuroCountries

- addSupportedSepaEuroCountries(value?: Country, index?: number): Country

- #### Parameters

  - ##### `Optional` value: Country

  - ##### `Optional` index: number

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7778

### addSupportedSepaNonEuroCountries

- addSupportedSepaNonEuroCountries(value?: Country, index?: number): Country

- #### Parameters

  - ##### `Optional` value: Country

  - ##### `Optional` index: number

  #### Returns Country

  - Defined in src/protobuf/pb_pb.d.ts:7783

### clearRequiredForCountriesList

- clearRequiredForCountriesList(): PaymentAccountFormField

- #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7787

### clearSupportedCountriesList

- clearSupportedCountriesList(): PaymentAccountFormField

- #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7772

### clearSupportedCurrenciesList

- clearSupportedCurrenciesList(): PaymentAccountFormField

- #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7767

### clearSupportedSepaEuroCountriesList

- clearSupportedSepaEuroCountriesList(): PaymentAccountFormField

- #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7777

### clearSupportedSepaNonEuroCountriesList

- clearSupportedSepaNonEuroCountriesList(): PaymentAccountFormField

- #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7782

### getComponent

- getComponent(): Component

- #### Returns Component

  - Defined in src/protobuf/pb_pb.d.ts:7747

### getId

- getId(): FieldId

- #### Returns FieldId

  - Defined in src/protobuf/pb_pb.d.ts:7744

### getLabel

- getLabel(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7753

### getMaxlength

- getMaxlength(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7762

### getMinlength

- getMinlength(): number

- #### Returns number

  - Defined in src/protobuf/pb_pb.d.ts:7759

### getRequiredForCountriesList

- getRequiredForCountriesList(): string[]

- #### Returns string[]

  - Defined in src/protobuf/pb_pb.d.ts:7785

### getSupportedCountriesList

- getSupportedCountriesList(): Country[]

- #### Returns Country[]

  - Defined in src/protobuf/pb_pb.d.ts:7770

### getSupportedCurrenciesList

- getSupportedCurrenciesList(): TradeCurrency[]

- #### Returns TradeCurrency[]

  - Defined in src/protobuf/pb_pb.d.ts:7765

### getSupportedSepaEuroCountriesList

- getSupportedSepaEuroCountriesList(): Country[]

- #### Returns Country[]

  - Defined in src/protobuf/pb_pb.d.ts:7775

### getSupportedSepaNonEuroCountriesList

- getSupportedSepaNonEuroCountriesList(): Country[]

- #### Returns Country[]

  - Defined in src/protobuf/pb_pb.d.ts:7780

### getType

- getType(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7750

### getValue

- getValue(): string

- #### Returns string

  - Defined in src/protobuf/pb_pb.d.ts:7756

### serializeBinary

- serializeBinary(): Uint8Array

- #### Returns Uint8Array

  - Defined in src/protobuf/pb_pb.d.ts:7790

### setComponent

- setComponent(value: Component): PaymentAccountFormField

- #### Parameters

  - ##### value: Component

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7748

### setId

- setId(value: FieldId): PaymentAccountFormField

- #### Parameters

  - ##### value: FieldId

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7745

### setLabel

- setLabel(value: string): PaymentAccountFormField

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7754

### setMaxlength

- setMaxlength(value: number): PaymentAccountFormField

- #### Parameters

  - ##### value: number

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7763

### setMinlength

- setMinlength(value: number): PaymentAccountFormField

- #### Parameters

  - ##### value: number

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7760

### setRequiredForCountriesList

- setRequiredForCountriesList(value: string[]): PaymentAccountFormField

- #### Parameters

  - ##### value: string[]

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7786

### setSupportedCountriesList

- setSupportedCountriesList(value: Country[]): PaymentAccountFormField

- #### Parameters

  - ##### value: Country[]

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7771

### setSupportedCurrenciesList

- setSupportedCurrenciesList(value: TradeCurrency[]): PaymentAccountFormField

- #### Parameters

  - ##### value: TradeCurrency[]

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7766

### setSupportedSepaEuroCountriesList

- setSupportedSepaEuroCountriesList(value: Country[]): PaymentAccountFormField

- #### Parameters

  - ##### value: Country[]

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7776

### setSupportedSepaNonEuroCountriesList

- setSupportedSepaNonEuroCountriesList(value: Country[]): PaymentAccountFormField

- #### Parameters

  - ##### value: Country[]

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7781

### setType

- setType(value: string): PaymentAccountFormField

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7751

### setValue

- setValue(value: string): PaymentAccountFormField

- #### Parameters

  - ##### value: string

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7757

### toObject

- toObject(includeInstance?: boolean): PaymentAccountFormField.AsObject

- #### Parameters

  - ##### `Optional` includeInstance: boolean

  #### Returns PaymentAccountFormField.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7791

### `Static` deserializeBinary

- deserializeBinary(bytes: Uint8Array): PaymentAccountFormField

- #### Parameters

  - ##### bytes: Uint8Array

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7794

### `Static` deserializeBinaryFromReader

- deserializeBinaryFromReader(message: PaymentAccountFormField, reader: BinaryReader): PaymentAccountFormField

- #### Parameters

  - ##### message: PaymentAccountFormField

  - ##### reader: BinaryReader

  #### Returns PaymentAccountFormField

  - Defined in src/protobuf/pb_pb.d.ts:7795

### `Static` serializeBinaryToWriter

- serializeBinaryToWriter(message: PaymentAccountFormField, writer: BinaryWriter): void

- #### Parameters

  - ##### message: PaymentAccountFormField

  - ##### writer: BinaryWriter

  #### Returns void

  - Defined in src/protobuf/pb_pb.d.ts:7793

### `Static` toObject

- toObject(includeInstance: boolean, msg: PaymentAccountFormField): PaymentAccountFormField.AsObject

- #### Parameters

  - ##### includeInstance: boolean

  - ##### msg: PaymentAccountFormField

  #### Returns PaymentAccountFormField.AsObject

  - Defined in src/protobuf/pb_pb.d.ts:7792

Generated using TypeDoc